import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_timpage_picker/flutter_timpage_picker.dart';
import 'package:flutter_timpage_picker/image_picker_option.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      platformVersion = await FlutterTimpagePicker.platformVersion ??
          'Unknown platform version';
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
            child: Column(
          children: [
            Text('Running on: $_platformVersion\n'),
            ElevatedButton(
              onPressed: () async {
                PickOptions options = PickOptions();
                options.imageCount = 1;
                options.isCrop = false;
                options.isCamera = false;
                options.showSelectedIndex = false;
                options.isRecordSelected = true;
                var ret = await FlutterTimpagePicker.showImagePicker(options);
                print("result:" + ret.toString());
              },
              child: Text("选择照片"),
            ),
            ElevatedButton(
              onPressed: () async {
                PickOptions options = PickOptions();
                options.imageCount = 1;
                options.isCrop = true;
                options.isCamera = false;
                options.showSelectedIndex = false;
                options.isRecordSelected = true;
                var ret = await FlutterTimpagePicker.openCamera(options);
                if (ret == null) {
                  print("camera null");
                } else {
                  print("camera result:" + ret.toString());
                }
              },
              child: Text("拍照"),
            ),
          ],
        )),
      ),
    );
  }
}
