import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_timpage_picker/image_picker_option.dart';

class FlutterTimpagePicker {
  static const MethodChannel _channel = MethodChannel('flutter_timpage_picker');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<List?> openCamera(PickOptions options) async {
    final List? ret = await _channel.invokeMethod("openCamera", options.toMap());
    return ret;
  }

  static Future<List?> showImagePicker(PickOptions options) async {
    final List? ret = await _channel.invokeMethod("showImagePicker", options.toMap());
    return ret;
  }
}
