import 'dart:ui';

class PickOptions {
  PickOptions();
  int imageCount = 6;
  bool isRecordSelected = false; // 是否已选图片
  bool isCamera = true; // 是否允许用户在内部拍照，默认true
  bool isCrop = false; // 是否允许裁剪，默认false, imageCount 为1才生效
  bool isGif = false;
  bool allowPickingOriginalPhoto = true;
  bool sortAscendingByModificationDate = true;
  bool showSelectedIndex = false;
  int aspectX = 4; // 裁剪宽度，默认屏幕宽度60%
  int aspectY = 3; // 裁剪高度，默认屏幕宽度60%
  int cropW = (window.physicalSize.width * 0.6).toInt();
  int cropH = (window.physicalSize.width * 0.6).toInt();
  int circleCropRadius = (window.physicalSize.width * 0.6).toInt();
  int compressQuality = 90;

  bool showCropCircle = false; // 是否显示圆形裁剪区域，默认false
  bool showCropFrame = true; // 是否显示裁剪区域，默认true
  bool showCropGrid = false; // 是否隐藏裁剪区域网格，默认false

  bool compress = true;

  Map toMap() {
    return {
      "imageCount": imageCount,
      "isRecordSelected": isRecordSelected,
      "isCamera": isCamera,
      "allowPickingOriginalPhoto": allowPickingOriginalPhoto,
      "sortAscendingByModificationDate": sortAscendingByModificationDate,
      "showSelectedIndex": showSelectedIndex,
      "isGif": isGif,
      "isCrop": isCrop,
      "aspectX": aspectX,
      "aspectY": aspectY,
      "cropW": cropW,
      "cropH": cropH,
      "showCropCircle": showCropCircle,
      "circleCropRadius": circleCropRadius,
      "showCropFrame": showCropFrame,
      "showCropGrid": showCropGrid,
      "compress": compress,
      "compressQuality": compressQuality,
    };
  }
}
